Subject: RE: Mingw32 build DLL not loading in MSVC app on Windows95
From: [email-masked] (Ron Aaron Moss Bay Engineering Exchange)

21 Oct 1998 09:05:56 -0700
Message-ID: <E46F2E74BFC4CF119A8B00805FCCAB27058D14AC.cygnus.gnu-win32@RENCHOW>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="windows-1252"
To: Gilles Depeyrot <[email-masked]>, [email-masked]

There seems to be a problem if you try to build DLLS on Windows '95.

Try building on WinNT, and your DLLs should load ok (on 95 too).  The
problem seems to be (according to M. Khan) that the 'fseek' function in the
crtlib.dll on Win95 doesn't work quite correctly.

Regards,
Ron

> -----Original Message-----
> From: Gilles Depeyrot [mailto:[email-masked]]
> Sent: Monday, October 19, 1998 11:09 AM
> To: [email-masked]
> Subject: Mingw32 build DLL not loading in MSVC app on Windows95
> 
> 
> Hi everyone,
> 
> I have already posted several messaged to the fact that I can't
> seem to load mingw32 egcs built DLLs into MS VC/C++ 5.0 built
> applications.
> 
> The symptoms are LoadLibrary returning NULL and GetLastError
> returning 0 (duh !)
> 
> I have gotten my hands on an NT 4 computer to do some testing
> and it seems like loading those DLLs on Windows NT works but
> loading them on Windows 95 does not.
> 
> Hope this can help someone solve this problem,
> Gilles
> 
> 
> Gilles Depeyrot                    <mailto:[email-masked]>
>                              <http://perso.wanadoo.fr/gilles.depeyrot>
> 
> -
> For help on using this list (especially unsubscribing), send 
> a message to
> "[email-masked]" with one line of text: "help".
> 
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".